2000-05-31  Richard Henderson  <rth@cygnus.com>

	* Makefile.in (STROBJS): Get memmove.o from configure.
	* configure.in (RANLIB): Detect and substitute.
	(memmove): Detect and substitute.
	* memmove.c (memmove): Use size_t.

2000-05-29  Zack Weinberg  <zack@wolery.cumb.org>

	* concatstr.c, exh.c: Include stdlib.h and string.h.
	* delaycase.c, eqstr.c, memmove.c, printbuffer.c,
	printevent.c, sendbuffer.c, waitbuffer.c: Include string.h.

Mon Apr  3 01:20:50 2000  George France <france@crl.dec.com>

	* basicio.c (PATH_MAX): Always provide a definition.

Wed Oct 27 01:13:12 1999  Alan Modra <alan@SPRI.Levels.UniSA.Edu.Au>

	* Makefile.in (config.status): Fix leading whitespace.
	(clean): Remove libchill.a.

Thu Sep  2 17:50:47 1999  Jeffrey A Law  (law@cygnus.com)

	* powerset.h (SET_WORD, SET_SHORT, SET_CHAR): Do not redefine based
	on USE_CHAR.
	(USE_CHAR): No longer define.
	* eqps.c ffsetclrps.c flsetclrps.c: Remove !USE_CHARS support.

Mon Aug 30 16:42:45 1999  Hans-Peter Nilsson  <hp@axis.se>

	* Makefile.in (chillrt0.o): Depend on chillrt0.c explicitly.

Fri Aug  6 23:32:29 1999  Daniel Jacobowitz <drow@drow.them.org>

	* Makefile.in (FLAGS_TO_PASS): Include prefix, exec_prefix,
	libdir, libsubdir and tooldir.

Thu May 20 03:20:59 1999  Jeffrey A Law  (law@cygnus.com)

	* configure.in (AC_EXEEXT): Remove call.
	(compiler_name): Explicitly check with no extension and .exe
	extension.
	* configure: Regenerate.

Wed Mar 24 22:41:28 1999  Mumit Khan  <khan@xraylith.wisc.edu>

	* configure.in (AC_PREREQ): Update to 2.13.
	(AC_EXEEXT): Call to find possible file extension.
	(compiler_name): Use.
	* configure: Regenerate.

1999-01-19 08:10 -0500  Zack Weinberg  <zack@rabi.columbia.edu>

	* Makefile.in: Fix typos in previous change.  
	(rtsdummy.o): Don't depend on gvarargs.h.

Mon Jan 18 04:47:34 1999  Jeffrey A Law  (law@cygnus.com)
			  Hans-Peter Nilsson  <hp@axis.se>

	* Makefile.in: Add many missing dependencies.

Sun Jan  3 21:04:53 1999  Rainer Orth  <ro@TechFak.Uni-Bielefeld.DE>

	* readrecord.c: Include <sys/types.h> for off_t.

1998-11-26  Manfred Hollstein  <manfred@s-direktnet.de>

	* configure.in (compiler_name): Add check to detect if this
	language's compiler has been built.
	* configure: Regenerate.

Mon Nov 23 16:48:39 1998  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	*  configure.in: Use AC_PREREQ(2.12.1).

Fri Nov 20 18:48:34 1998  J"orn Rennecke <amylaar@cygnus.co.uk>

	* basicio.c (PATH_MAX): Define only to _POSIX_PATH_MAX if that is
	defined.  Otherwise, try MAXPATHLEN.

Thu Oct 22 14:37:35 1998  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* configure.in: Use AC_CONFIG_AUX_DIR($topsrcdir).

1998-09-22  Ben Elliston  <bje@cygnus.com>

	* configure.in: This is GNU CHILL, not GNU Fortran.

1998-09-20  Manfred Hollstein  <manfred@s-direktnet.de>

	* Makefile.in: Add dummy targets "info", "install-info", "clean-info"
	and "dvi".

1998-09-13  David S. Miller  <davem@pierdol.cobaltmicro.com>

	* configure.in: Use 'if test' not brackets.
	* configure: Rebuilt.
	
Wed Sep  9 21:32:46 1998  Jeffrey A Law  (law@cygnus.com)

	* Add library exception clause to the copyright notice for all
	 .c and .h files.

Tue Sep  8 10:41:38 1998  Jeffrey A Law  (law@cygnus.com)

	* rts.h: Update with missing code.

Sun Sep  6 01:30:40 1998  Jeffrey A Law  (law@cygnus.com)

	* allgmem.c: Do not include config.h anymore.
	* allmem.c allocate.c andps.c cardps.c cause.c copyps.c: Likewise.
	* diffps.c eqps.c exh.c exhstack.c ffsetclrps.c ffsetps.c: Likewise.
	* flsetclrps.c flsetps.c inbitstr.c inps.c leps.c ltps.c: Likewise.
	* neps.c notps.c orps.c retmem.c rtsdummy.c setbitps.c: Likewise.
	* setbits.c sliceps.c terminate.c unhex.c unhex1.c xorps.c: Likewise.

Sat Sep  5 02:09:42 1998  Jeffrey A Law  (law@cygnus.com)

	* Chill runtime moved into toplevel libchill.
	* Makefile.in Revamped due to move.  Add multilib support.
	* configure.in: Similarly.  Use autoconf.
	* powerset.h: Do not depend on BITS_PER_UNIT.

Fri Apr 24 16:12:40 1998  Dave Brolley  <brolley@cygnus.com>

	* writerecord.c (sys/types.h): #included to pick up off_t.

Tue Nov 26 01:56:03 1996  Wilfried Moser  <moser@rtl.cygnus.com>

	* memmove.c (memmove): If nor overlapping use memcpy instead of
        byte copy.

Tue May 14 21:26:52 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* gestr.c, gtstr.c, lestr.c, nestr.c:  Removed - no longer used.
	* Makefile.in (STROBJS)  Removed gestr.o, gtstr.o, lestr.o, nestr.o.

Thu May  9 06:59:23 1996  Wilfried Moser  <moser@rtl.cygnus.com>

	* basicio.c (__connect): In case of Same, fix condition for
	exception.

Thu Feb 29 10:55:01 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* format.c:  Use ANSI-standard float.h, rather than old values.h.

Mon Jan 15 06:16:22 1996  Wilfried Moser  <moser@rtl.cygnus.com>

	* sendbuffer.c (__send_buffer): Take care of possibly unaligned
	pointers.

	* waitbuffer.c (__wait_buffer): Ditto.

Thu Nov 30 03:49:58 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* format.c (inpioctrl): Process NOTCONNECTED.
	(outioctrl): Deto.
	(scanformcont): Fix processing of %% in format string.

Mon Nov 27 05:27:14 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* chillrt0.c (main): Pass argc & argv to __RTS_INIT__.

Thu Nov 23 05:15:05 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* ioerror.h (io_info_word_t): Make value of first entry compile time
	comfigurable.

Tue Nov  7 22:52:24 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* format.c: Rename ultoa to myultoa cause of conflicting types
	on some systems.

Mon Nov  6 03:17:50 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* chillrt0.c: Move definition of chill_stdin, chill_stdout,
	chill_stderr ...

	* chillstdio.c: ... to here.

	* delete.c, eoln.c, existing.c, getusage.c, indexable.c,
	isassociated.c, outoffile.c, readable.c, sequencible.c,
	variable.c, writeable.c: Modified for new implementation of
	chill file i/o.

	* basicio.c, format.c, getassoc.c, gettextaccess.c, gettextindex.c,
	gettextrecord.c, ioerror.c, readrecord.c, settextaccess.c,
	settextindex.c, settextrecord.c, writerecord.c: New files to 
	implement chill file i/o.

	* allocate.c, terminate.c: New files to implement chill's
	ALLOCATE and TERMINATE built-in's.

	* associate.c, checksum.c, connect.c, create.c, disconnect.c,
	dissociate.c, findfile.c, findnextfile.c, fstable.c, getass.c,
	getdir.c, gettxtacc.c, gettxtidx.c, gettxtrec.c, iostatus.c,
	lowlevelio.c, modify.c, rdformat.c, rdrecord.c, rdstring.c,
	rdtext.c, rdunixstd.c, readlen.c, regexp.h, setdir.c, settxtacc.c,
	settxtidx.c, settxtrec.c, skiprec.c, wrformat.c, wrrecord.c,
	wrstring.c, wrtext.c, wrunixstd.c: Removed.

Tue Sep 12 04:27:47 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* Makefile.in (Makefile): Add rule for Makefile.
	OBJS depends on ../../cc1 to build a new library when cc1 have
	changed.
	
Mon Jul 31 15:04:04 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* ffsetclrps.c, flsetclrps.c:  Completely different interface,
	* storeoutps.c:  Remove, no longer needed.
	* Makefile.in (PSOBJS):  Take out storeoutps.o.

Mon Jun 19 05:23:35 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* exh.c (__cause_exception): New argument. 
	(__cause_ex1): New function. This function will get called
	now by the compiler when an exception should be raised.

	* abstime.c, allgmem.c, allmem.c, checkcycle.c, delaycase.c,
	ffsetps.c, flsetps.c, inbitstr.c, sendbuffer.c, waitbuffer.c:
	Change calls to __cause_exception to calls to __cause_ex1.

	* unhex.c (unhandled_exception), 
	cause.c (cause_exception): New argument.

	* rts.h: Add prototypes for __delay_this and __continue_that.

	* ffsetclrps.c, flsetclrps.c, inps.c, rtltypes.h, setbitps.c:
	Remove prototype for __cause_exception (not needed).

	* rdstring.c (_readstring), wrstring.c (_writestring): Add argument
	to call to __cause_exception.

	* Makefile.in, unhex1.c: New file. Function __unhandled_ex
	is defined here. This gets called when the compiler doesn't
	find a handler when causing an exception.

Tue Apr 11 16:01:02 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* iomodes.h (__tmp_WIO_union, __tmp_RIO_union):  Make __forbyte
	be explicitly signed, for the sake of systems where char is unsigned.

Wed Mar 22 06:10:18 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* setbitps.c (__setbitpowerset): Change definition of new_value 
	to char, cause booleans are represented as 8 bit values by the 
	compiler. Use only least significant bit of new_value.

Tue Jan 17 07:32:17 1995  Wilfried Moser  <moser@rtl.cygnus.com>

	* inps.c (__inpowerset): Don't do rangecheck. Return 0
	if value not in range.

	* Makefile.in, inbitstr.c (__inbitstring): New file and
	function for accessing single elements in a bitstring.

Tue Dec  6 02:35:00 1994  Wilfried Moser  <moser@rtl.cygnus.com>

	* rdformat.c (rf_parse_iolist): In case of __IO_set and
	__IO_SetRange process the ignore_case flag.

	* iomodes.h: Change definition of __tmp_RIO_forset and 
	__tmp_RIO_forsetrange.

Fri Nov  4 12:04:16 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* concatstr.c (__concatstring):  Add support for input strings
	to overlap target.
	* setbits.c (__setbits):  Fix function name passed
	to __cause_exception.

Wed Nov  2 05:02:59 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* Makefile.in (TIMEOBJS): Add new files.

	* checkcycle.c (__check_cycle): New file and function for 
	CYCLE statement.

	* convdurrtstime.c (__convert_duration_rtstime): New file
	and function for conversion of DURATION (unsigned long) to
	RtsTime format.

	* delaycase.c (__delay_event): Implement processing of
	timesupervision.

	* remaintime.c (__remaintime): New file and function to 
	calculate the remaining time of a duration (used for 
	timesupervision).

	* rts.h: New definitions and prototypes.

	* sendbuffer.c (__send_buffer): Implement processing of
        timesupervision.

	* waitbuffer.c (__wait_buffer): Implement processing of
        timesupervision.

	* waituntil.c (__wait_until): Changed due to implementation
	of timesupervision.

Thu Oct  6 06:41:02 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* wrformat.c (default_conv): Remove processing of 
	POWERSET's.

	* rdformat.c (rf_parse_iolist): Remove processing of
	POWERSET's.

	* iomodes.h: Remove definition for POWERSET's.

Fri Sep 30 01:52:25 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* rdformat.c (rf_parse_iolist): Fix processing of BITSTRINGs.

Mon Sep 26 16:10:47 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* copyps.c (__pscpy):  Add missing 'const'.

	* wrformat.c (default_conv):  Replace memcpy by explicit loop,
	since memcpy can get mis-optimized when we have unaligned data.

	* wrformat.c (__write_format):  Don't alloca an extra copy of
	the format string.

Mon Sep 26 08:54:03 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* wrformat.c (default_conv): Remove formating of nonprintable
	characters (ESC-sequences wouldn't work).

Fri Sep 23 00:48:28 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* copyps.c (__pscpy): Fix masking out unused bits.

	* fileio.h: Fix prototype.

Tue Sep 13 04:54:45 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* rdformat.c (__read_format): Remove end-of-input string 
	check.

Thu Sep  8 17:20:07 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* setbits.c (__setbits):  New function, based on __setpowersetbits,
	but with 4 instead of 5 parameters.
	* setpsbits.c:  Removed.  No longer used.
	* Makefile (PSOBJS):  Update accordingly.

Mon Sep  5 08:03:46 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* queuelength.c (__queue_length): New file and function
	to implement QUEUE_LENGTH built-in.
	* Makefile.in (TASKOBJS): Add queuelength.o.

Fri Aug 26 16:27:21 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Makefile.in (INCLUDES):  Add  -I../../include.

Wed Aug 24 01:12:32 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* sendbuffer.c, waitbuffer.c, delaycase.c, printbuffer.c,
	printevent.c: Be careful with addresses of data from the
	application,they may be unaligned (-fpack).

Fri Aug 19 07:16:15 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* wrformat.c (default_conv), rdformat.c (rf_parse_iolist): Be
	careful with addresses of data from the application, they may 
	be unaligned (-fpack).

Fri Aug 12 20:31:47 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* eqps.c (__eqpowerset):  Calculate number of full words
	as floor, not ceiling of bitslength/SET_WORD_SIZE.

Fri Aug  5 17:25:48 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* eqps.c (__eqpowerset):   Revert Wilfried's fix, and fix
	the problem in a slightly different way (which is simpler
	and will also work for 0-length bitstrings).
	* neps.c (__nepowerset):  Simplify - just call __eqpowerset.

Fri Jul 29 04:06:56 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* neps.c (__nepowerset): Correct processing of powerset
	in case of USE_CHARS defined.

Wed Jul 27 05:27:06 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* eqps.c (__eqpowerset): Correct processing of powerset
	in case of USE_CHARS defined.

Mon Jun 27 01:17:09 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* iomodes.h: Change layout of __tmp_WIO_list that it is always
	the same, regardless if compiled with -fpack or not.

Tue May 31 04:54:48 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* printbuffer.c, printevent.c, rts.h, sendbuffer.c,
	waitbuffer.c: Finish the implementation of BUFFER's
	and EVENT's.

Tue May 10 05:17:43 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* iomodes.h: Change names of __access, __association and 
	__text to __access_type, __association_type and
	__text_type. __access is already defined in one of the
	linux header files.

Wed May  4 15:37:22 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* Makefile.in (clean): Add chillrt0.o
	* continue.c (__continue): Implement the function.
	* delaycase.c (__delay_event): Implement the function.
	* printbuffer.c (__print_buffer): Implement the function.
	* printevent.c (__print_event.c): Implement the function.
	* rts.h: Change datatypes used for EVENT's and BUFFER's.
	* sendbuffer.c (__send_buffer): Implement the function.
	  FIXME: not completely done.
	* waitbuffer.c (__wait_buffer): Implement the function.
	  FIXME: not completely done.

Thu Apr 28 14:39:06 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* Makefile.in (TASKOBJS): New variable for tasking related
	  objects files.
	* Makefile.in (TIMEOBJS): New object file added.
	* rts.h: Add definitions for BUFFER's and EVENT's.
	* waituntil.c (__wait_until): New file and new function.
	  Implements the AT action.
	* delaycase.c (__delay_event): New file and new function.
	  Implements the DELAY and DELAY CASE action. FIXME: not yet done.
	* continue.c (__continue): New file and new function.
	  Implements the CONTINUE action. FIXME: not yet done.
	* sendbuffer.c (__send_buffer): New file and new function.
	  Implements the SEND buffer action. FIXME: not yet done.
	* waitbuffer.c (__wait_buffer): New file and new function.
	  Implements the RECEIVE buffer CASE action. FIXME: not yet done.
	* printevent.c (__print_event): New file and new function.
	  Prints an event queue. FIXME: not yet done.
	* printbuffer.c (__print_buffer): New file and new function.
	  Prints a buffer queue. FIXME: not yet done.

Fri Apr  1 10:59:55 1994  Wilfried Moser  (fs_moser at rcsw47)

	* wrformat.c (default_conv): Change output of characters in the
	range 0 to 31 (control characters now printed as ^C).

Fri Apr 15 16:29:21 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in: XTRAFLAGS is no longer need, since -Bdir now
	implies -Idir/include.
	(XTRAFLAGS): Don't define.
	(ALL_CFLAGS): Don't include $(XTRAFLAGS).

Thu Apr 14 13:44:31 1994  Wilfried Moser  (moser@phishhead.cygnus.com)

	* Makefile.in (TIMEOBJS): New variable for time related stuff.
	* Makefile.in (OBJS): Add TIMEOBJS.
	* abstime.c (_abstime): New file and new function to handle
	ABSTIME builtin.
	* inttime.c (_inttime): New file and new function to handle
	INTTIME builtin.

Tue Mar 29 13:11:37 1994  Wilfried Moser  (fs_moser at rcsw1h)

	* Makefile.in (LIBOBJS2): Add new modules rdformat.o rdstring.o
	  rdunixstd.o 
	* iomodes.h: Remove unnecessary definitions. Redefine interface to
	  READTEXT/WRITETEXT functions.
	* rdstring.c (_readstring): Rework function.
	* rdformat.c: Rework functionality.
	* rdunixstd.d: New module. This is designed to implement
	   READTEXT (stdin...). 
	* wrformat.c (copy_text): Change return value of function. In case
	  of an empty string this function has failed.
	* wrformat.c: Change formating of a NULL pointer to NULL instead
	  of 0.
	* wrformat.c (PUT_CHARS): Change macro according to new return
	  value of function copy_text.

Sun Mar 20 21:11:35 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* powerset.h:  Bitstrings are now allocated in units
	of (unsigned char), rather than words.
	* eqps.c (__eqpowerset):  Optimize slighly for above change.

	* setbitps.c (__setbitpowerset):  Clean up parameter list.

Thu Mar 10 11:10:32 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add standard gcc Makefile stuff.  Move
	  chillcrt0 and libchill.a to all.indirect from all target.

Tue Mar  1 17:01:32 1994  Wilfried Moser  (fs_moser at rcsw1h)

	* iomodes.h: Add definition for POWERSET's
	* wrunixstd.c: Change the write call to an fprintf cause a system
	  we have doesn't support write.
	* wrformat.c: Add processing of SET's and POWERSET's

Sat Jan 29 13:32:52 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add new files copyps.c and concatps.c.
	* copyps.c: New function with functionality from sliceps.c,
	* sliceps.c: Change to call copyps now from here.
	* concatps.c: New function - call copyps from here.
	* powerset.h: Fix CLEAR_BIT_IN_CHAR macro.

Wed Jan 26 12:30:48 1994  Mike Stump  (mrs@cygnus.com)

	* Makefile.in: Don't echo ranlib command.

Wed Jan 26 12:21:11 1994  Mike Stump  (mrs@cygnus.com)

	* Makefile.in: Make sure cross builds work.  AR, and RANLIB now
	  used properly.  Make sure we can reconfigure if Makefile.in
	  changes.  Use GCC_FOR_TARGET, not CC to compile libchill.a.

Fri Jan 21 15:30:31 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* allgmem.c:  Make prototype K&R-compatible.

Sat Jan 15 10:04:08 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Remove unused install code.
	  (Install will happen from devo/gcc).  Add
	  rules for cleaning up.

Fri Jan 14 21:43:45 1994  Per Bothner  (bothner@kalessin.cygnus.com)

 	* chillrt0.c (__init_list):  Renamed to _ch_init_list, to
	avoid a conflict on the Alpha.

Tue Jan 25 13:28:15 1994  Wilfried Moser  (fs_moser at rcsw1j)

	* Makefile.in: clean up for cross compilation. Remove a lot of
	  functions (file-io) which are not used at the moment.
	* iomodes.h: clean up the datatypes passed to the writetext
	  functions. 
	* unhex.c: Comment out include of gvarargs.h (not needed).
	* rtsdummy.c: Comment out include of gvarargs.h (not needed).
	* wrformat.c: change various procedure arguments according to the
	  new type passed by the compiler. Remove include of fcntl.h and
	  sys/stat.h (not needed).
	* wrformat.c (default_conv): Change formatting of integers in case
	  of %O, %H, %B to unsigned. (PR-4395)
	* wrstring.c: change various procedure arguments according to the
	  new type passed by the compiler. Remove include of fcntl.h and
	  sys/stat.h (not needed).
	* wrtext.c: change various procedure arguments according to the
	  new type passed by the compiler.
	* wrunixstd.c: change various procedure arguments according to the
	  new type passed by the compiler. Remove include of fcntl.h and
	  sys/stat.h (not needed).
	* wrunixstd.c (_writeunixstd): Change the fwrite call to fprintf.
	  This is necessary due to a port to a system which does not
	  support fwrite.

Sun Jan  2 14:40:32 1994  Bill Cox  (bill@cygnus.com)

	* Makefile.in: Clean out obsolete .c286 suffix references.

Sat Jan  1 16:51:22 1994  Bill Cox  (bill@cygnus.com)

	* Makefile.in: Add dependencies on fileio.h

Sat Jan  1 12:31:22 1994  Bill Cox  (bill@cygnus.com)

	* Reorganize the whole directory and the Makefile.  Now you
	  can recompile a single function and not have to recompile
	  a whole file full of them.
	* eqps.c, neps.c: Fix handling of a one-word set. (PR-4077).

Thu Dec 16 10:19:00 1993  Bill Cox  (bill@rtl.cygnus.com)

	* fileio.c (default_conv): Changes to support all basic CHILL types.
	  Standardize function header formats.

Tue Dec 14 14:36:27 1993  Bill Cox  (bill@rtl.cygnus.com)

	* fileio.c (writeunixstd): Call _allocate_memory and
	  _return_memory, so we'll get appropriate exceptions.	
	* powerset.c: Ensure a space between each macro name and the
	  parameters.

Mon Nov 22 10:42:37 1993  Wilfried Moser  (moser@rtl.cygnus.com)

	* Makefile.in: Add functions to LIBFUNCS1
	* chillrt0.c (main): Clear the exception stack.
	* libchill.c (__setexceptionStack, __getexceptionStack): New
	  functions according to allow one exceptionStack per thread.

Sat Nov 20 17:45:52 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* libchill.c (__ch_link_handler, __ch_unlink_handler):  New functions.

Fri Nov 19 14:37:12 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, string.c: Add memmove function (PR-3937).

Wed Nov 17 17:07:46 1993  Bill Cox  (bill@rtl.cygnus.com)

	* fileio.c (_writestring): Add parameters for the source file
	  and line number where it was called, for way better error
	  messages.
	* powerset.c: Make all length and count variables longs.
	  Allows much larger powersets.

Mon Nov 15 14:59:47 1993  Bill Cox  (bill@rtl.cygnus.com)

	* fileio.c (writestring): Changed interface.
	* iomodes.h: New structures for above interface.
	* libchill.c: Delete bunch of powerset-related cruft.
          (cause_exception): Empty it out.
	* powerset.c: Call correct exception causer.
	* string.c: Rewrite string comparisons from scratch.  They
	  were bad...

Sat Oct 30 14:54:39 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Change paths to executables.

Thu Oct 28 16:38:34 1993  Bill Cox  (bill@rtl.cygnus.com)

	* powerset.c (__inpowerset, __setbitpowerset): Correct error checking.
	  These were throwing false exceptions.
          (__setpowersetbits): Add check for null output set ptr.

Wed Oct 27 16:45:29 1993  Bill Cox  (bill@rtl.cygnus.com)

	* powerset.c (__diffpowerset): Check for SET_SHORT_SIZE, not
	  SET_CHAR_SIZE twice.
          (__ffsetpowerset, __flsetpowerset): Add code for CHAR and SHORT sets.
	* libchill.c (cause_exception): Output a message to stderr, and
	  abort, as a default exception action.

Thu Oct 21 16:04:09 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* fileio.c (__write_format): Add missing increment of fstr.

Thu Sep 30 20:11:34 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* powerset.c (__psslice):  Take length, rather than upper bound.

Sun Sep 19 23:14:57 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* chillrt0.c, fileio.c (_writeunixstd): Change a standard Unix file
	from (long*) to (long).  Use fwrite rather than write.
	* fileio.c (PUT_CHARS, PUT_CHAR):  New macros.
	* fileio.c (__write_format):  Use them.
	* fileio.c (__write-format):  Handle "%/" format even if
	not io_ctrl_allowed (by emitting '\n').

Fri Sep 10 12:15:51 1993  Wilfried Moser  (fs_moser at rcsw1j)

	* chillrt0.c: Make stdin, stdout, stderr available to chill
	  programs. This is done by setting the apropriate file handles
          to chill_stdin, chill_stdout, chill_stderr.
	* fileio.c: Add a new function (_writeunixstd) to the 
	  chill library. This function will be called when the compiler
	  detects a WRITETEXT action to one of the above mentioned
	  file handles.
	* Makefile.in: Add _writeunixstd to LIBFUNCS3.

Sat Aug 21 17:17:53 1993  Bill Cox  (bill@rtl.cygnus.com)

        * Makefile.in: Add psset to list of powerset stuff.
	* powerset.c: Standardize (and correct) for loops.  Fix
	  comments.

Mon Jul  5 09:48:06 1993  Wilfried Moser  (fs_moser at rcsw1j)

	* rtltypes.h: Change layout of struct __ch_handler. The entry
	  jmp_buf is moved to the end of the structure.

Mon Jun 14 12:17:53 1993  david d `zoo' zuhn  (zoo at rtl.cygnus.com)

	* Makefile.in: rename INSTALLDIR to libdir; remove parentdir
	support; update definition of INSTALL

Thu Jun 10 18:14:41 1993  Wilfried Moser  (moser@deneb.cygnus.com)

	* libchill.c: (vector): This entry was removed. It is no
	  longer neccessary.
	* Makefile.in: Change due to the remove of vector.

Wed Jun  9 10:39:25 1993  Wilfried Moser  (moser@deneb.cygnus.com)

	* chillrt0.c (main): Change processing of constructors
	  according to the new design made for tasking.
	* libchill.c (__rts_main_loop, __rts_init): Don't do an
	  abort () there.

Mon May 31 08:24:51 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (install): Create directory if necessary.

Sun May 30 15:57:05 1993  Per Bothner  (bothner@cygnus.com)

	* powerset.c (__eqpowerset, _newpowerset):  Don't call
	MASK_UNUSED_{CHAR,SHORT}_BITS on input operand
	(which might be in read-only memory).
	* powerset.c (SET_CHAR, SET_SHORT):  Make unsigned.

Fri May 21 10:45:07 1993  Bill Cox  (bill@rtl.cygnus.com)

        * Makefile.in, chillrt0.c, fileio.c, libchill.c, 
	  powerset.c, rtltypes.h: Wilfried's changes checked
	  in at Cygnus.     

Tue May 18 09:21:56 1993  Bill Cox  (bill@rtl.cygnus.com)

	* powerset.c, Makefile.in: Add psslice routine.
	  Change function name from bitsetpowerset to
          setpowersetbits.  Drop build of I/O library
          stuff, per Wilfried's request.

Tue May 18 07:55:25 1993  Wilfried Moser  (fs_moser at rcsw1j)

	* Makefile.in: clean up directory. Remove chillrt0.c 
          from libchill.a, this will be linked separately.
	  Remove librmt.a from Makefile, this is application
          dependent.

Fri May  7 10:45:09 1993  Ian Lance Taylor  (ian@cygnus.com)

	* Makefile.in (tooldir): Define.
	* configure.in: If cross-compilation, install in $(tooldir)/lib
	rather than in $(exec_prefix)/lib.

Sat May  1 11:43:44 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add store_output to lists.
	* powerset.c: Add char- and short-length set handling
          across the board.

Thu Apr  8 17:43:33 1993  Bill Cox  (bill@rtl.cygnus.com)

	* powerset.c (nepowerset): Return TRUE for non-equal comparison.
	* string.c (eqstring, nestring): Call memcmp for the real work.

Mon Mar 22 23:22:53 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: add dvi, check and installcheck targets

Fri Mar 12 10:59:31 1993  Bill Cox  (bill@rtl.cygnus.com)

	* string.c (nestring): Fix return status - was completely bogus.

Fri Mar  5 18:34:15 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* powerset.c:  Re-name INT_TYPE_SIZE to SET_WORD_SIZE.
	* powerset.c:  Use SET_WORD instead of (unsigned int).
	* powerset.c (__eqpowerset, __nepowerset):  Fix masking
	of final word to not trash memory.

Fri Mar  5 07:55:13 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, powerset.c (__nepowerset): add psne for powerset
          inequality test.
        * string.c: fix comment.

Sat Feb 20 08:07:21 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, libchill.c, powerset.c: split out powerset stuff.
	* powerset.c: fix __ffsetpowerset and __flsetpowerset.

Fri Feb 19 11:00:10 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: add psmax and psmin to LIBFUNCS1, so the 
	  ffsetpowerset and flsetpowerset functions get into the library.

Sat Feb 13 15:43:21 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, string.c: cleanup

Sat Feb 13 13:52:20 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add LIBFUNC4, and loop for it.  Builds
	  string-related runtime functions, adds them to libchill.a.

Wed Feb 10 09:45:29 1993  Bill Cox  (bill@rtl.cygnus.com)

	* rtltypes.h: added missing TExceptionDefinition.

	* libchill.c: add GNU comment header, various new powerset
	  support routines.  Change function declarations for K&R
	  compatibility.
	* string.c: added - runtime string routines (relationals and
	  concat).

Tue Feb  9 16:17:35 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* libchill.c, rtltypes.h:  Replace exceptions-handling code.
	* fileio.c:  Comment out non-working pseudo-exception-handlers.

Fri Feb  5 07:38:39 1993  Fred Fish  (fnf@cygnus.com)

	* Makefile.in (RANLIB_TEST, INSTALL, INSTALL_PROGRAM,
	INSTALL_DATA):  Supply default definitions.

Sat Jan 30 13:57:09 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* libchill.c:  Change exception to be plain (char*).
	(This is a simplification, at the cost of needing strcmp's.)
	* Makefile.in:  Move install actions over form ../gcc/Makefile.in.

Wed Jan 27 23:22:44 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* libchill.c (__cause_exception):  Exception is (for now)
	(char**), rather than short.
	Also, add (commented-out) sketch of new exception implementation.

Tue Jan 12 21:14:56 1993  Per Bothner  (bothner@cygnus.com)

	* libchill.c:  Re-wrote bitstring/powerset code:  Each chunk is
	now a (unsigned int), rather than a (char), and bit-order
	depends on BITS_BIG_ENDIAN, rather than being always
	litle-endian.  Other improvements here and there.
	* libchill.c (__cardpowerset, __diffpowerset):  Faster code.
	* libchill.c (__setbitinstring):  New routine, to assign
	a single bit in a bitstring/powerset.
	* Makefile.in (LIBFUNCS1):  Add psset for __setbitinstring().

Tue Jan 12 00:10:46 1993  david d `zoo' zuhn  (zoo at cirdan.cygnus.com)

	* Makefile.in: compile all files with ALL_CFLAGS instead of CFLAGS,
	default ALL_CFLAGS to include CFLAGS,
	default XTRAFLAGS which is used to find the C library (like libg++),
	added dummy install-info target for devo builds,

Wed Jan  6 08:03:46 1993  Fred Fish  (fnf@cygnus.com)

	* Makefile.in (libchill.a):  Since libchill.a depends upon
	chillrt0.o, don't remove chillrt0.o after adding to archive.
	* config/mh-sysv4:  Add SVR4 configuration file.
	* Makefile.in (GCC_MAKEFILE):  Define to point to gcc/chill
	compiler Makefile, which contains the actual makefile fragments
	to do the install, since it knows where gcc/chill is installed.
	* Makefile.in:  Add lines that configure looks for to insert
	host, target, and site specific Makefile fragments.
	* Makefile.in (install):  New target that invokes make on the
	gcc/chill makefile to do the actual install.
	* configure.in (*-*-sysv4):  Use mh-sysv4 as host_makefile_frag.

Sun Jan  3 16:47:25 1993  Per Bothner  (bothner@cygnus.com)

	* chillrt0.c:  Comment out for now the non-portable
	kludge for adding build_exceptions to the C++ initialision list.

Sat Jan  2 15:51:43 1993  Per Bothner  (bothner@rtl.cygnus.com)

	* New directory.  Moved files from ../gcc/chillrt.
	* configure.in:  New file.
	* Makefile.in:  Modified from old Makefile to fit into standard
	directory structure.
